package com.community.huiju.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 设备表
 * </p>
 *
 * @author jobob
 * @since 2019-05-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_equipment")
public class TpEquipment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer equipmentId;

    /**
     * 设备url地址，对应 配置tp_configuration 表id
     */
    private Integer urlId;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 安保人员电话，对应 配置tp_configuration 表id
     */
    private Integer securityGuardTelId;

    /**
     * 保安室电话，对应 配置tp_configuration 表id
     */
    private Integer securityRoomTelId;

    /**
     * 设备地址，对应 配置tp_configuration 表id
     */
    private Integer addressId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 设备UUID ，对应 配置tp_configuration 表id
     */
    private Integer uuidId;

    /**
     * 设备类型，1 监控 2 访客机 3 可是对讲 4 门禁设备(看字典表)
     */
    private String equipmentType;

    /**
     * 设备树id，对应 tp_equipment_tree 表id
     */
    private Integer equipmentTreeId;

    /**
     * appkey(第三方平台)
     */
    @JSONField(serialize = false)
    private String appkey;

    /**
     * secret(第三方平台)
     */
    @JSONField(serialize = false)
    private String secret;

    /**
     * op_user_uuid(第三方平台操作人员uuid)
     */
    @JSONField(serialize = false)
    private String opUserUuid;

    /**
     * http_server第三方服务器请求地址
     */
    @JSONField(serialize = false)
    private String httpServer;

    /**
     * unit_uuids组织中心
     */
    @JSONField(serialize = false)
    private String unitUuids;

    /**
     * 监控URL
     */
    @TableField(exist = false)
    private String monitoringUrl;

    /**
     * 保安人员电话
     */
    @TableField(exist = false)
    private String securityGuardTel;

    /**
     * 安保室电话
     */
    @TableField(exist = false)
    private String securityRoomTel;

    /**
     * 监控地址
     */
    @TableField(exist = false)
    private String monitoringAddress;
}
